# Allround Relations example

Simple example application demostrating how to set up a stage area which contains widgets inside nodes.

## Getting Started

Create a StageConfig object, where you can specify the callback functions and initialize your stage with some arguments, such as initial list of nodes, the size of the stage (bounds), theme etc.

```dart
StageConfig config = StageConfig(
    nodes: _getNodes(),
    onSave: _onSave,
    onAddNew: _onAddNew,
    initialCameraPosition: Offset(50, 50),
    bounds: const Size(2000, 2000),
    theme: const StageTheme()
);

return MaterialApp(
    title: "Allround Relations Example",
    theme: ThemeData(
        primarySwatch: Colors.blue,
    ),
    home: StageWrapper(stageConfig: config)
);
```

Once you have set up the stage, you can use the features of the package (see readme file in the package).

## Contact

Allround Informatika Kft.

development [at] allround [dot] net

https://allround.net
