import 'package:rxdart/rxdart.dart';

class DataState<T> {
  BehaviorSubject<T> _$state;

  Observable<T> get stream => _$state.stream;

  T get currentState => _$state.value;

  void push(T val) => _$state.add(val);

  DataState(T initialData) {
    _$state = BehaviorSubject<T>.seeded(initialData);
  }

  void changeState(void Function(T) action) {
    var current = currentState;
    action(current);
    push(current);
  }

  void dispose() {
    _$state.close();
  }
}
